package cokr.xit.ens.modules.common.ctgy.nicedici.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public enum LinkType implements CodeMapperType {

    socket("소켓통신"), rest("RESTful API");

    @Getter
    private final String codeNm;

    @Override
    public String getCode() {
        return this.name();
    }

}
